Skip to main content
GET
/
v1
/
calls
List calls
curl --request GET \
  --url https://api.mivicall.com/v1/calls \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fromNumber": "+351912345678",
      "toNumber": "+351912004471",
      "status": "completed",
      "startedAt": "2023-11-07T05:31:56Z",
      "telnyxCallControlId": "<string>",
      "outcome": "booking_created",
      "endedAt": "2023-11-07T05:31:56Z",
      "durationSeconds": 123,
      "transcriptionWordCount": 123
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.mivicall.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key no header Authorization: Bearer miv_live_.... Gere keys em Settings → Integrations.

Query Parameters

cursor
string
limit
integer
default:50
Required range: 1 <= x <= 200
outcome
enum<string>
Available options:
booking_created,
info_only,
handoff_to_human,
voicemail,
abandoned
from
string<date-time>
to
string<date-time>

Response

Lista de chamadas

items
object[]
nextCursor
string | null
hasMore
boolean